Package groovy.lang

# Class Tuple3<T1,T2,T3>

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractList<E>
groovy.lang.Tuple
groovy.lang.Tuple3<T1,T2,T3>

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable`, `Iterable`, `Collection`, `List`, `RandomAccess`

public final class Tuple3<T1,T2,T3> extends Tuple
Represents a list of 3 typed Objects.

Since:
  2.5.0
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Tuple3(Tuple3<T1,T2,T3> tuple)`
  Creates a tuple from the supplied tuple.
  `Tuple3(T1 v1, T2 v2, T3 v3)`
  Creates a tuple containing the supplied elements.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Tuple3<T1,T2,T3>`
  `clone()`
  `T1`
  `getFirst()`
  Deprecated.
  `T2`
  `getSecond()`
  Deprecated.
  `T3`
  `getThird()`
  Deprecated.
  `T1`
  `getV1()`
  Returns the first element.
  `T2`
  `getV2()`
  Returns the second element.
  `T3`
  `getV3()`
  Returns the third element.

  ### Methods inherited from class groovy.lang.Tuple

  `compareTo, equals, get, hashCode, size, subList, subTuple, toArray, toArray, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple`

  ### Methods inherited from class java.util.AbstractList

  `add, add, addAll, clear, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set`

  ### Methods inherited from class java.util.AbstractCollection

  `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.List

  `addAll, contains, containsAll, isEmpty, remove, removeAll, replaceAll, retainAll, sort, spliterator`

- ## Constructor Details

  - ### Tuple3

    public Tuple3(T1 v1, T2 v2, T3 v3)
    Creates a tuple containing the supplied elements.
    Parameters:
      `v1` - the first element
      `v2` - the second element
      `v3` - the third element

  - ### Tuple3

    public Tuple3(Tuple3<T1,T2,T3> tuple)
    Creates a tuple from the supplied tuple.
    Parameters:
      `tuple` - the source tuple

- ## Method Details

  - ### getFirst

    @Deprecated public T1 getFirst()
    Deprecated.
    Returns the first element.
    Returns:
      the first element

  - ### getSecond

    @Deprecated public T2 getSecond()
    Deprecated.
    Returns the second element.
    Returns:
      the second element

  - ### getThird

    @Deprecated public T3 getThird()
    Deprecated.
    Returns the third element.
    Returns:
      the third element

  - ### getV1

    public T1 getV1()
    Returns the first element.
    Returns:
      the first element

  - ### getV2

    public T2 getV2()
    Returns the second element.
    Returns:
      the second element

  - ### getV3

    public T3 getV3()
    Returns the third element.
    Returns:
      the third element

  - ### clone

    public Tuple3<T1,T2,T3> clone()
    Overrides:
      `clone` in class `Tuple`